NXOpen .NET Reference  12.0.0
Protected Member Functions | Properties | List of all members
NXOpen.CAM.PathContactMotion Class Reference

This class represents the data of a Linear Motion More...

Inheritance diagram for NXOpen.CAM.PathContactMotion:

Protected Member Functions

override void FreeResource ()
 Free resources associated with the instance. More...
 

Properties

unsafe NXOpen.Vector3d ArcAxis [get, set]
 Returns or sets the axis of the arc of the contact motion if the shape is circular More...
 
unsafe NXOpen.Point3d ArcCenter [get, set]
 Returns or sets the center of the arc of the contact motion if the shape is circular More...
 
unsafe NXOpen.CAM.CamPathDir ArcDirection [get, set]
 Returns or sets the direction of the arc of the contact motion if the shape is circular More...
 
unsafe double ArcRadius [get, set]
 Returns or sets the radius of the arc of the contact motion if the shape is circular More...
 
unsafe
NXOpen.CAM.CamPathContactMotionShapeType 
MotionShape [get, set]
 Returns or sets the motion shape More...
 
unsafe NXOpen.Point3d Point [get, set]
 Returns or sets the point of the contact motion More...
 

Detailed Description

This class represents the data of a Linear Motion

Created in NX11.0.2

Member Function Documentation

override void NXOpen.CAM.PathContactMotion.FreeResource ( )
protected

Free resources associated with the instance.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX11.0.2

License requirements: None.

Property Documentation

unsafe NXOpen.Vector3d NXOpen.CAM.PathContactMotion.ArcAxis
getset

Returns or sets the axis of the arc of the contact motion if the shape is circular

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.Point3d NXOpen.CAM.PathContactMotion.ArcCenter
getset

Returns or sets the center of the arc of the contact motion if the shape is circular

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.CamPathDir NXOpen.CAM.PathContactMotion.ArcDirection
getset

Returns or sets the direction of the arc of the contact motion if the shape is circular

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.PathContactMotion.ArcRadius
getset

Returns or sets the radius of the arc of the contact motion if the shape is circular

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.CamPathContactMotionShapeType NXOpen.CAM.PathContactMotion.MotionShape
getset

Returns or sets the motion shape

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.Point3d NXOpen.CAM.PathContactMotion.Point
getset

Returns or sets the point of the contact motion

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.